Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.vocabulary
Class RDFVocabularyAdapter

    java.lang.Object
      |
      +--org.semanticweb.owl.io.vocabulary.VocabularyAdapter
            |
            +--org.semanticweb.owl.io.vocabulary.RDFVocabularyAdapter

Direct Known Subclasses:
  RDFSVocabularyAdapter

public class RDFVocabularyAdapter
extends VocabularyAdapter

Vocabulary for current RDF things.

Field Summary
`static RDFVocabularyAdapter` | `INSTANCE` An instance of this class.
`static String` | `RDF` Namespace for the RDF.

Constructor Summary
`protected` | `RDFVocabularyAdapter()` Creates an instance of this class.

Method Summary
`String` | `getAlt()` Returns the name of the 'Alt' property.
`String` | `getBag()` Returns the name of the 'Bag' property.
`String` | `getInstanceOf()` Returns the name of the 'instanceOf' property.
`String` | `getNil()`
`String` | `getProperty()` Returns the name of the 'Property' resource.
`String` | `getSeq()` Returns the name of the 'Seq' property.
`String` | `getStatement()` Returns the name of the 'Statement' property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RDFVocabularyAdapter INSTANCE

  An instance of this class.

### RDF

    public static final String RDF

  Namespace for the RDF.

  See Also:
    Constant Field Values

Constructor Detail

### RDFVocabularyAdapter

    protected RDFVocabularyAdapter()

  Creates an instance of this class.

Method Detail

### getProperty

    public String getProperty()

  Returns the name of the 'Property' resource.

### getInstanceOf

    public String getInstanceOf()

  Returns the name of the 'instanceOf' property.

### getBag

    public String getBag()

  Returns the name of the 'Bag' property.

### getAlt

    public String getAlt()

  Returns the name of the 'Alt' property.

### getSeq

    public String getSeq()

  Returns the name of the 'Seq' property.

### getStatement

    public String getStatement()

  Returns the name of the 'Statement' property.

### getNil

    public String getNil()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb